Support » How-To and Troubleshooting » [Resolved] Upgrade to php5.4

[Resolved] Upgrade to php5.4

  • Hi

    I’m running a site on 1and1 hosting using php5.2. I’ve been using the auto upgrade option to keep the site on the latest version (currently on 3.4.2).

    1and1 sent out a message saying that it will be necessary to upgrade to php5.4 in April.

    I thought I’d get ahead of the curve and update the php version. Unfortunately as soon as I switch on php5.4 I get ‘Error Establishing database connection’

    Has anyone any idea what may be causing this?



Viewing 4 replies - 1 through 4 (of 4 total)
  • You may be using deprecated PHP functions to connect to the database.

    I guess that would involve some manual upgrading of WordPress files…. but I’m unsure which?

    Maybe using the new wp-config.php file?



    Forum Moderator

    This isn’t anything to do with WordPress. You need to check 1&1’s documentation on how to upgrade to PHP 5.4

    Hi Esmi…. thanks for the pointer. Nothing on 1and1 docs.

    When I looked around the subject – I found this:
    I found that just going into database administration (after switching the PHP version to 5.4) and updating the mysql password (to the same as before) caused it to use the new hashing mechanism/library… and now the database connections work correctly.

    From here:

    Seems to be working fine now!

    Thank you

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘[Resolved] Upgrade to php5.4’ is closed to new replies.
Skip to toolbar